import { BaseEmbeddings } from '@llm-tools/embedjs-interfaces';
export declare class LlamaCppEmbeddings implements BaseEmbeddings {
    private context;
    constructor(options: {
        modelPath: string;
    });
    getDimensions(): Promise<number>;
    embedDocuments(texts: string[]): Promise<number[][]>;
    embedQuery(text: string): Promise<number[]>;
}
